QVeris
文档目录

获取试用调用报价

POST /agent/trial/quote

获取新的精确报价,不执行工具;Call 前核对工具、参数和费用授权。

REST API 概览 · OpenAPI JSON · OpenAPI YAML

接口契约

稳定性认证费用Operation ID
已发布私密 Agent 试用持有证明免费quote_api_v1_agent_trial_quote_post

参数

此操作没有路径或查询参数。

请求体

Schema: TrialToolRequest

名称必填类型说明
toolId是string—
parameters是object—
providerId否string | null—

可运行示例

bash
curl --fail-with-body --request POST \
  --url "https://qveris.ai/api/v1/agent/trial/quote" \
  --header "Authorization: Bearer $QVERIS_TRIAL_PROOF" \
  --header 'Content-Type: application/json' \
  --data '{
  "toolId": "string",
  "parameters": {}
}'
typescript
const response = await fetch("https://qveris.ai/api/v1/agent/trial/quote", {
  method: "POST",
  credentials: "omit",
  redirect: "error",
  headers: {
    Authorization: `Bearer ${process.env.QVERIS_TRIAL_PROOF}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "toolId": "string",
  "parameters": {}
}),
})

if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
if (response.status !== 204) console.log(await response.json())
python
import json
import os
import requests

response = requests.request(
    "POST",
    "https://qveris.ai/api/v1/agent/trial/quote",
    headers={"Authorization": f"Bearer {os.environ['QVERIS_TRIAL_PROOF']}"},
    allow_redirects=False,
    json=json.loads(r'''{
  "toolId": "string",
  "parameters": {}
}'''),
    timeout=30,
)
response.raise_for_status()
if response.status_code != 204:
    print(response.json())

响应

状态码含义Schema
200Successful ResponseAPIResponse_TrialQuoteView_
400Bad RequestAPIResponse_BrowserTrialFailure_
401UnauthorizedAPIResponse_BrowserTrialFailure_
413Request Entity Too LargeAPIResponse_BrowserTrialFailure_
422Unprocessable EntityAPIResponse_BrowserTrialFailure_
429Too Many RequestsAPIResponse_BrowserTrialFailure_

成功响应示例

json
{
  "status": "string",
  "message": "string"
}

精确契约

相关操作

POST 发现能力 · POST 检查能力 · POST 预检能力 · POST 调用能力

这个页面对你有帮助吗?